Package wx :: Module html :: Class HtmlRenderingState

[frames | no frames]

## Type HtmlRenderingState

    object --+
             |
            HtmlRenderingState

Proxy of C++ HtmlRenderingState class

Method Summary
HtmlRenderingState | `__init__(self)`
| `__del__(self)`
Colour | `GetBgColour(self)`
Colour | `GetFgColour(self)`
int | `GetSelectionState(self)`
| `SetBgColour(self, c)`
| `SetFgColour(self, c)`
| `SetSelectionState(self, s)`

Property Summary
| `BgColour`: See `GetBgColour` and `SetBgColour`
| `FgColour`: See `GetFgColour` and `SetFgColour`
| `SelectionState`: See `GetSelectionState` and `SetSelectionState`
| `thisown`: The membership flag

Property Details

### BgColour

See `GetBgColour` and `SetBgColour`

  Get Method:
    `GetBgColour`(self)
  Set Method:
    `SetBgColour`(self, c)

### FgColour

See `GetFgColour` and `SetFgColour`

  Get Method:
    `GetFgColour`(self)
  Set Method:
    `SetFgColour`(self, c)

### SelectionState

See `GetSelectionState` and `SetSelectionState`

  Get Method:
    `GetSelectionState`(self)
  Set Method:
    `SetSelectionState`(self, s)

### thisown

The membership flag

  Get Method:
    unknown--1219006876(...)
  Set Method:
    unknown--1219006820(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:22 2007 | http://epydoc.sf.net